注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

让一切都逝去吧

排骨炖泥菜/猪肝炒苹果/鱼籽狗肉汤/狗头薏米汤

 
 
 

日志

 
 

maven Xlint参数的错误提示  

2014-01-01 13:56:52|  分类: 项目管理 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
mvn clean install -DskipTests=true -DcompilerArgument=-Xlint:deprecation
如上使用时,对应pom中的配置是
<plugin>
    <artifactId>maven-compiler-plugin</artifactId>
    <configuration>
        <compilerArgument>${compilerArgument}</compilerArgument>
    </configuration>
</plugin>

      这样配置在eclipse中没有问题,最近更换intellij idea工具,提示有错误。在官方文档中找到:
http://maven.apache.org/plugins/maven-compiler-plugin/compile-mojo.html
compilerArguments Map 2.0.1 Deprecated. use compilerArgs instead.
可以看到compilerArguments已经被弃用了,建议使用compilerArgs,修改之后的pom如下
<plugin>
    <groupId>org.apache.maven.plugins</groupId>
    <artifactId>maven-compiler-plugin</artifactId>
    <version>3.1</version>
    <configuration>
        <source>1.6</source>
        <target>1.6</target>
        <compilerArgs>
            <arg>-Xlint:unchecked</arg>
            <arg>-Xlint:deprecation </arg>
            <arg>endorseddirs=${endorsed.dir}</arg>
        </compilerArgs>
    </configuration>
</plugin>
如此,就没有错误提示了。
  评论这张
 
阅读(959)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017